import ts from "typescript";
/**
 * export class Client<ApiClient> {
 *   {members}
 * }
 */
export const create = (factory, members) => {
    return factory.ClassDeclaration.create({
        name: "Client",
        export: true,
        members: [
            factory.PropertyDeclaration.create({
                modifiers: [ts.factory.createModifier(ts.SyntaxKind.PrivateKeyword)],
                name: "baseUrl",
                type: ts.factory.createKeywordTypeNode(ts.SyntaxKind.StringKeyword),
            }),
            ...members,
        ],
        typeParameterDeclaration: [
            factory.TypeParameterDeclaration.create({
                name: "RequestOption",
            }),
        ],
    });
};
//# sourceMappingURL=Class.js.map