import { Operator } from "@himenon/path-oriented-data-structure";
import * as DataStructure from "./DataStructure";
import * as InterfaceNode from "./InterfaceNode";
import * as NamespaceTree from "./NamespaceTree";
import * as TypeAliasNode from "./TypeAliasNode";
export { DataStructure, InterfaceNode, NamespaceTree, TypeAliasNode };
export interface NamespaceTreeParams extends NamespaceTree.Params {
    kind: NamespaceTree.Kind;
}
export interface InterfaceNodeParams extends InterfaceNode.Params {
    kind: InterfaceNode.Kind;
}
export interface TypeAliasNodeParams extends TypeAliasNode.Params {
    kind: TypeAliasNode.Kind;
}
export declare type ComponentParams = NamespaceTreeParams | InterfaceNodeParams | TypeAliasNodeParams;
export declare type Instance = NamespaceTree.Item | InterfaceNode.Item | TypeAliasNode.Item;
export declare const createInstance: (component: ComponentParams) => Instance;
export declare const create: () => {
    operator: Operator<"namespace">;
    getChildByPaths: <T extends DataStructure.Kind>(path: string, kind: T) => DataStructure.GetChild<T> | undefined;
};
export declare type OperatorType = Operator<NamespaceTree.Kind>;
export declare type GetChildByPaths = DataStructure.GetChildByPaths;
